Bakiye Yükleme
Bakiye Yükleme İşlemi Hazırla
Builds an unsigned Solana USDC transfer transaction on the server. The customer signs the returned base64-encoded transaction locally and submits it to the /topup/confirm endpoint.
POST
/
customer
/
v2
/
topup
/
prepare
Prepare Top-Up Transaction
curl --request POST \
--url https://orbitflare.com/api/customer/v2/topup/prepare \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 5002.5,
"wallet_address": "<string>"
}
'import requests
url = "https://orbitflare.com/api/customer/v2/topup/prepare"
payload = {
"amount": 5002.5,
"wallet_address": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 5002.5, wallet_address: '<string>'})
};
fetch('https://orbitflare.com/api/customer/v2/topup/prepare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"transaction": "<string>",
"memo": "<string>",
"amount_usdc": 123,
"amount_micro_usdc": 123,
"destination_wallet": "<string>",
"blockhash": "<string>",
"last_valid_block_height": 123
}
}{
"success": false,
"message": "<string>",
"errors": {},
"error": "<string>"
}{
"success": false,
"message": "<string>",
"errors": {},
"error": "<string>"
}Yetkilendirmeler
bearer_tokenapi_key
Bearer token from device or wallet auth
Gövde
application/json
Bu sayfa yararlı mıydı?
⌘I
Prepare Top-Up Transaction
